<?php

namespace App\Livewire\Studio\Manage\Article;

use App\Livewire\Forms\Studio\Manage\ArticleForm;
use App\Traits\WithAuthorization;
use App\Traits\WithToast;
use App\Traits\WithUpdatedData;
use Livewire\Attributes\Title;
use Livewire\Component;

#[Title('Tambah Artikel')]
class Create extends Component
{
    use WithAuthorization, WithToast, WithUpdatedData;

    public ArticleForm $form;

    public function save()
    {
        $this->canOrAbort('create article');

        $this->form->store();

        $this->dispatch('refreshDatatable');

        $this->toast('Artikel berhasil ditambahkan.');

        $this->redirectRoute('studio.manage.article.index', navigate: true);
    }

    public function render()
    {
        return view('livewire.studio.manage.article.form', [
            'pageTitle' => 'Tambah Artikel',
        ]);
    }
}
